# WOK
TKWOK
EDL

# EDL_StackIteratorOfStackOfBoolean Class Reference

`#include <EDL_StackIteratorOfStackOfBoolean.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_StackIteratorOfStackOfBoolean ()
Standard_EXPORT | EDL_StackIteratorOfStackOfBoolean (const EDL_StackOfBoolean &S)
Standard_EXPORT void | Initialize (const EDL_StackOfBoolean &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Standard_Boolean & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT EDL_StackIteratorOfStackOfBoolean::EDL_StackIteratorOfStackOfBoolean | ( |  | ) |

Standard_EXPORT EDL_StackIteratorOfStackOfBoolean::EDL_StackIteratorOfStackOfBoolean | ( | const EDL_StackOfBoolean & | S | ) |

## Member Function Documentation

Standard_EXPORT void EDL_StackIteratorOfStackOfBoolean::Initialize | ( | const EDL_StackOfBoolean & | S | ) |

Standard_Boolean EDL_StackIteratorOfStackOfBoolean::More | ( |  | ) | const

Standard_EXPORT void EDL_StackIteratorOfStackOfBoolean::Next | ( |  | ) |

void EDL_StackIteratorOfStackOfBoolean::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_StackIteratorOfStackOfBoolean::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_StackIteratorOfStackOfBoolean::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Boolean& EDL_StackIteratorOfStackOfBoolean::Value | ( |  | ) | const

## Field Documentation

Standard_Address EDL_StackIteratorOfStackOfBoolean::current `[private]`

The documentation for this class was generated from the following file:

- EDL_StackIteratorOfStackOfBoolean.hxx